"""
Re-formats code example from Zelle 3e.

Removes comment with filename.
Converts initial comments to a Docstring.
Replaces double quotes with single quotes.
"""


def main():
    infile_name = 'original_code.py'
    infile = open(infile_name, 'r', encoding='utf-8')
    outfile_name = 'converted_code.py'
    outfile = open(outfile_name, 'w', encoding='utf-8')
    print('Welcome to Unzellify.')

    lines = infile.readlines()

    if lines[0].startswith('#'):
        del lines[0]

    if lines[0].startswith('#'):
        print('"""', file=outfile)
        while lines[0].startswith('#'):
            partly_cleaned = lines[0].lstrip('#')
            partly_cleaned = partly_cleaned.lstrip(' ')
            fully_cleaned = partly_cleaned.rstrip('\n')
            print(fully_cleaned, file=outfile)
            del lines[0]
        print('"""', file=outfile)

    while lines[0].strip == '':
        del lines[0]

    print(file=outfile)

    for line in lines:
        single_quote = line.replace('\"', '\'')
        without_newline = single_quote.rstrip('\n')
        print(without_newline, file=outfile)

    infile.close()
    outfile.close()

    print(f'\nThe refactored code has been placed in {outfile_name}.')


main()
